## net.sf.antcontrib.antserver.server
Class ConnectionBuildListener

    java.lang.Object
      net.sf.antcontrib.antserver.server.ConnectionBuildListener

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener

    public class ConnectionBuildListener

extends java.lang.Object
implements org.apache.tools.ant.BuildListener

Place class description here.

Since:
Author:
  Matthew Inger, <additional author>

Constructor Summary
`ConnectionBuildListener()`

Method Summary
`void` `buildFinished(org.apache.tools.ant.BuildEvent event)`
`void` `buildStarted(org.apache.tools.ant.BuildEvent event)`
`org.w3c.dom.Document` `getDocument()`
`void` `messageLogged(org.apache.tools.ant.BuildEvent event)`
`void` `targetFinished(org.apache.tools.ant.BuildEvent event)`
`void` `targetStarted(org.apache.tools.ant.BuildEvent event)`
`void` `taskFinished(org.apache.tools.ant.BuildEvent event)`
`void` `taskStarted(org.apache.tools.ant.BuildEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionBuildListener

    public ConnectionBuildListener()
                            throws javax.xml.parsers.ParserConfigurationException

Throws:
  `javax.xml.parsers.ParserConfigurationException`

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

### buildStarted

    public void buildStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildStarted` in interface `org.apache.tools.ant.BuildListener`

### buildFinished

    public void buildFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildFinished` in interface `org.apache.tools.ant.BuildListener`

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`

### targetFinished

    public void targetFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetFinished` in interface `org.apache.tools.ant.BuildListener`

### taskStarted

    public void taskStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskStarted` in interface `org.apache.tools.ant.BuildListener`

### taskFinished

    public void taskFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskFinished` in interface `org.apache.tools.ant.BuildListener`

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`